Skip to main content
PUT
/
api
/
v1
/
organisation
/
{id}
update entity by id
curl --request PUT \
  --url https://api.example.com/api/v1/organisation/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "parent": "ADGM",
  "status": "ACTIVE",
  "icon": "<string>",
  "logoLight": "<string>",
  "darkLogo": "<string>",
  "tenantId": 123
}
'
{
  "name": "<string>",
  "parent": "ADGM",
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "status": "ACTIVE",
  "icon": "<string>",
  "logoLight": "<string>",
  "darkLogo": "<string>",
  "tenantId": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Body

application/json
name
string
required

Regulator Organisation name

parent
string
required

Regulator Organisation parent

Example:

"ADGM"

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
icon
string

Regulator Organisation icon

logoLight
string

Regulator Organisation light logo

Pattern: \s*|^https?.*

Regulator Organisation dark logo

Pattern: \s*|^https?.*
tenantId
integer<int64>

Tenant ID corresponding to this organisation

Response

200 - application/json

OK

name
string
required

Regulator Organisation name

parent
string
required

Regulator Organisation parent

Example:

"ADGM"

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
icon
string

Regulator Organisation icon

logoLight
string

Regulator Organisation light logo

Regulator Organisation dark logo

tenantId
integer<int64>

Tenant ID corresponding to this organisation